# -*- encoding: utf-8 -*-
# stub: active_model_presenter 0.1.2 ruby lib

Gem::Specification.new do |s|
  s.name = "active_model_presenter".freeze
  s.version = "0.1.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Sergii Mostovyi".freeze]
  s.date = "2017-07-30"
  s.description = "Presenters and Model-View-Presenter (MVP) is the second most useful pattern after Service Objects to simplify your medium-to-large app.\nActiveModelPresenter is a small gem that transforms ActiveRecord models into simple decorated objects that you can use to pass data for a JSON or a regular View rendering.\nIt's based on Rails' **active_model_serializers** gem (AMS) so you get all it's features without creating any new type of files.\nIt can be used as a layer for Rails between Controller and View to make data to flow in 1 direction.".freeze
  s.email = "svmostovoy@gmail.com".freeze
  s.homepage = "https://github.com/smostovoy/active_model_presenter".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.1".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "ActiveModelSerializers-based presenters".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<active_model_serializers>.freeze, ["~> 0.10.7"])
  else
    s.add_dependency(%q<active_model_serializers>.freeze, ["~> 0.10.7"])
  end
end
